DESCRIPTION = "Linux driver for Ralink 802.11 a/b/g Wifi USB."
SECTION = "base"
PRIORITY = "optional"
MAINTAINER = "Sven-Ola Tuecke <sven-ola@gmx.de>"
LICENSE = "GPL"
RDEPENDS = "kernel (${KERNEL_VERSION}) wireless-tools (>= 27)"
DEPENDS = "virtual/kernel"
SRCNAME = RT73_Linux_STA_Drv
SRC_URI = "http://www.ralinktech.com.tw/data/${SRCNAME}${PV}.tar.gz \
#           file://RT73_Linux_STA_Drv1.0.4.0.debug.patch;patch=1 \
#           file://RT73_Linux_STA_Drv1.0.4.0.mood-300.patch;patch=1 \
           file://RT73_Linux_STA_Drv1.0.4.0.fixedbssid.patch;patch=1"

inherit module-base

# Add -DDBG for the debug version

EXTRA_OEMAKE_mtx-1 = "-f Makefile.4 CC='${CC}' \
CFLAGS='-I${STAGING_KERNEL_DIR}/include -DDBG -D__KERNEL__ -DMODULE -DMODVERSIONS \
-nostdinc -iwithprefix include -finline-limit=100000 -fno-common -fno-pic \
-fno-strict-aliasing -fomit-frame-pointer -G 0 -mabi=32 -march=mips32 -mlong-calls \
-mno-abicalls -O2 -pipe -Wa,-32 -Wa,-march=mips32 -Wa,-mips32 -Wa,--trap \
-include linux/modversions.h -fno-strict-aliasing -fno-common -pipe ${CFLAGS}'"

S = "${WORKDIR}/${SRCNAME}${PV}"

do_compile() {
	cd Module;oe_runmake
}

do_install() {
#	mkdir -p ${D}/etc/sysconfig/network-scripts
#	touch ${D}/etc/modules.conf
#	cd Module;oe_runmake MOD_ROOT=${D}/lib/modules MOD_CONF=${D}/etc/modules.conf NDDIR=${D}/etc/sysconfig/network-scripts ND_CONF=${D}/etc/sysconfig/network-scripts/ifcfg-rausb0 DESTDIR=${D} BINDIR=${sbindir} install
        install -d ${D}/lib/modules/${KERNEL_VERSION}/extra/ \
		   ${D}/etc/modutils/ \
		   ${D}/etc/Wireless/RT73STA/
	install -m 0644 Module/rt73.o ${D}/lib/modules/${KERNEL_VERSION}/extra/
	install -m 0644 Module/rt73.bin ${D}/etc/Wireless/RT73STA/
	echo "alias rausb0 rt73" > ${D}/etc/modutils/rt73.conf
}

FILES_${PN} += "/lib/modules/"
